Bug 430086 - avoid the /etc/hosts dependency. instead to IP reverse lookup ?
avoid the /etc/hosts dependency. instead to IP reverse lookup ?
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Simo Sorce
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-24 09:18 EST by Chandrasekar Kannan
Modified: 2012-03-27 03:14 EDT (History)
5 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:14:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-01-24 09:18:30 EST
Right now, I'm told we have to have a proper /etc/hosts file setup
for hostname lookup. 

Could we avoid this and instead do a reverse IP lookup against
and the machine's current DNS ?

One pre-requisite that I'm hearing for IPA is that we need a static
IP for the ipa server which in most cases mean that the machine
is already hooked up to a DNS proper.
Comment 3 Simo Sorce 2008-02-05 11:15:08 EST
There is no hard dependency on /etc/hosts, as long as you can always resolve
correctly forward and reverse it is ok.

But usually the /etc/hosts file is polluted with the machine name set on the
127.0.0.1 line, and that won't work. Also DNS lookups are slower and may fail if
the DNS is not available, and that's why configuring /etc/hosts is usually a
better bet, but not strictly required.
Comment 4 Simo Sorce 2008-02-13 13:32:59 EST
Add back a check for /etc/hosts to be correct
Comment 5 Yi Zhang 2008-04-07 13:22:10 EDT
qa verified, bug closed
build used: 4-7-2008 daily build

Note You need to log in before you can comment on or make changes to this bug.